<?php

namespace Drupal\aimtell\Controller;

use Drupal\Core\Cache\CacheableResponse;
use Symfony\Component\HttpFoundation\Response;

/**
 * Returns response for the system manifest route.
 */
class AimTellServiceWorker {

  /**
   * Returns aimtell-worker.js file from CDN.
   *
   * @return \Drupal\Core\Cache\CacheableResponse
   *   The JS response.
   */
  public function worker() : CacheableResponse {
    $file = "importScripts('https://cdn.aimtell.com/sdk/aimtell-worker-sdk.js');\n";

    return new CacheableResponse($file, Response::HTTP_OK, ['content-type' => 'text/javascript']);
  }

}
